Subject: Re: [nwcrg] nwcrg Digest, Vol 45, Issue 13

From: Marie-Jose Montpetit <[email-masked]>
Date: Fri, 14 Jul 2017 16:44:59 -0400

Victor: yes there is a need to look into architectures. And the plural here is not a mistake. 

I think there are a number of networks that can profit from NC. But trying to squeeze them into a single architecture like your courageous attempt tried is I think not the current way to go. 

You obviously have interest in routing + NC (kernel space) and other low level links. There is also work on NC with wireless/5G  (both kernel and user space) that was presented before.  And of course NC with streaming has been a use case for ever. 

But as you have seen recently there has also been links between NC and SDN and other user space application. 

I would suggest you create a draft with your ideas on where NC is needed (which never happened) and allow the other architects on the list to present their own solutions.

Instead of trying to be top down, I actually suggest we go bottom up: what works, what has been proposed and with all these different architectures is there an overarching one? If not as you know we end up with a really complex architecture that does not seems to apply to any implementations.

Of course this is my own opinion…

mjm
> On Jul 14, 2017, at 3:00 PM, [email-masked] wrote:
> 
> Send nwcrg mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www.irtf.org/mailman/listinfo/nwcrg
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of nwcrg digest..."
> Today's Topics:
> 
>   1. NC architecture (Victor Firoiu)
> 
> From: Victor Firoiu <[email-masked]>
> Subject: [nwcrg] NC architecture
> Date: July 14, 2017 at 1:34:29 PM EDT
> To: "[email-masked]" <[email-masked]>
> Reply-To: [email-masked]
> 
> 
> Dear Netcoders,
> 
> Several recent posts have raised the interest in developing some architecture framework, I would like to add my support to it. As mentioned recently, it may be useful for some/many efforts (research and development) to define a common set of principles and a framework, from where practical protocols can be derived. This could help for example, to understand behavior and applicability based on some models of common elements.
> 
> Some of you may remember our past discussions on architecture, that may have delved too soon into some specific building blocks, etc.
> 
> Rather, I think we should establish first a baseline of interest from the group:
> - Is there interest in using such a common framework?
> - Is there interest in researching such a common framework?
> - Is practical interest only/mostly in end-to-end coding or is there interest in in-network coding as well? 
> 
> My personal opinion/ hypothesis is that we can have a common architecture framework. But we don't know that yet, so this would be a topic of research:
> - Can we have a common framework from which the existing practical protocol prototypes can be defined? 
> - Or is there a fundamental difference or mismatch between protocol needs that precludes such common framework?
> 
> Let us know your thoughts. And maybe we get to discuss a bit in the meeting next week.
> 
> Cheers,
> 
> Victor
> 
> 
> _______________________________________________
> nwcrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nwcrg